import java.awt.*; 
import java.awt.event.*; 

public class BenFatto extends Frame { 
  
  public BenFatto() { 
    super("BenFatto");
    Button b1 = new Button("Pulsante 1"), 
           b2 = new Button("Pulsante 2"); 
    setSize(300,200); 
    setLayout(new FlowLayout()); 
    add(b1); 
    add(b2);
    setVisible(true); 
    b1.addActionListener(new AscoltatorePulsante1()); 
    b2.addActionListener(new AscoltatorePulsante2()); 
    addWindowListener( new WindowAdapter() {
      public void windowClosing(WindowEvent e){ 
        System.out.println("Window Closing"); 
        System.exit(0); 
      } 
    }); 
  } 

  class AscoltatorePulsante1 implements ActionListener { 
    public void actionPerformed(ActionEvent e) { 
      System.out.println("Premuto Pulsante 1"); 
    } 
  } 

   class AscoltatorePulsante2 implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      System.out.println("Premuto Pulsante 2"); 
    } 
  } 

  public static void main(String[] args) { 
    Frame finestra = new BenFatto(); 
  } 
}
